Tremor documentation | Tremor version 1.0 - 20020403

# ov_time_seek

declared in "ivorbisfile.h";

For seekable streams, this seeks to the given time. For implementing seeking in a player, this is the only function generally needed. This also updates everything needed within the decoder, so you can immediately call ov_read() and get data from the newly seeked to position. This function does not work for unseekable streams.

    int ov_time_seek(OggVorbis_File *vf, ogg_int64_t ms);

### Parameters

vf
  Pointer to our already opened and initialized OggVorbis_File structure.
ms
  Location to seek to within the file, specified in milliseconds.

### Return Values

> - 0 for success
> - Nonzero for failure

copyright © 2002 Xiph.org | Ogg Vorbis
Tremor documentation | Tremor version 1.0 - 20020403